Index: kernel/GBEngine/kutil.cc
===================================================================
--- kernel/GBEngine/kutil.cc	(revision f3be8e67518a43d2fdb745cb875edc24988c90a7)
+++ kernel/GBEngine/kutil.cc	(revision 8e903f23324de1e4ec1dc9926b6de0a16de605d6)
@@ -234,5 +234,6 @@
 
 #ifdef HAVE_SHIFTBBA
-static inline int pLPDivComp(poly p, poly q) {
+static inline int pLPDivComp(poly p, poly q)
+{
   if ((currRing->pCompIndex < 0) || (__p_GetComp(p,currRing) == __p_GetComp(q,currRing)))
   {
@@ -755,5 +756,7 @@
   return -1;
 }
-
+#endif
+
+#ifdef HAVE_SHIFTBBA
 int kFindInTShift(poly p, kStrategy strat)
 {
@@ -1600,14 +1603,17 @@
   k_GetStrongLeadTerms(p, si, currRing, m1, m2, gcd, strat->tailRing);
 
-  if (!rHasLocalOrMixedOrdering(currRing)) {
+  if (!rHasLocalOrMixedOrdering(currRing))
+  {
     unsigned long sev = pGetShortExpVector(gcd);
 
-    for (int j = 0; j < strat->sl; j++) {
+    for (int j = 0; j < strat->sl; j++)
+    {
       if (j == i)
         continue;
 
-      if (n_DivBy(d, pGetCoeff(strat->S[j]), currRing->cf) &&
-          !(strat->sevS[j] & ~sev) &&
-          p_LmDivisibleBy(strat->S[j], gcd, currRing)) {
+      if (n_DivBy(d, pGetCoeff(strat->S[j]), currRing->cf)
+      && !(strat->sevS[j] & ~sev)
+      && p_LmDivisibleBy(strat->S[j], gcd, currRing))
+      {
         nDelete(&d);
         nDelete(&s);
@@ -3230,4 +3236,5 @@
   strat->Bl = -1;
 }
+
 /*2
 *the pairset B of pairs of type (s[i],p) is complete now. It will be updated
@@ -7287,5 +7294,6 @@
     return FALSE;
   int found = -1;
-  for (int i=strat->Bl; i>-1; i--) {
+  for (int i=strat->Bl; i>-1; i--)
+  {
     if (pLmEqual(strat->B[i].sig,sig))
     {
@@ -7823,9 +7831,13 @@
       int j;
       j = kFindDivisibleByInT(strat, &Ln);
-      if (j < 0) {
+      if (j < 0)
+      {
         j = kFindDivisibleByInT_Z(strat, &Ln);
-        if (j < 0) {
+        if (j < 0)
+	{
           break;
-        } else {
+        }
+	else
+	{
           /* reduction not cancelling a tail term, but reducing its coefficient */
           With = &(strat->T[j]);
@@ -12325,8 +12337,8 @@
 // }
 
-#ifdef HAVE_SHIFTBBA
 /*2
 * put the  lcm(q,p)  into the set B, q is the shift of some s[i]
 */
+#ifdef HAVE_SHIFTBBA
 static BOOLEAN enterOneStrongPolyShift (poly q, poly p, int /*ecart*/, int /*isFromQ*/, kStrategy strat, int atR, int /*ecartq*/, int qisFromQ, int shiftcount, int ifromS)
 {
@@ -12492,8 +12504,11 @@
   return TRUE;
 }
+#endif
+
 
 /*2
 * put the pair (q,p)  into the set B, ecart=ecart(p), q is the shift of some s[i] (ring case)
 */
+#ifdef HAVE_SHIFTBBA
 static void enterOnePairRingShift (poly q, poly p, int /*ecart*/, int isFromQ, kStrategy strat, int atR, int /*ecartq*/, int qisFromQ, int shiftcount, int ifromS)
 {
@@ -12736,5 +12751,7 @@
   kTest_TS(strat);
 }
-
+#endif
+
+#ifdef HAVE_SHIFTBBA
 // adds the strong pair and the normal pair for rings (aka gpoly and spoly)
 static void enterOneStrongPolyAndEnterOnePairRingShift(poly q, poly p, int ecart, int isFromQ, kStrategy strat, int atR, int ecartq, int qisFromQ, int shiftcount, int ifromS)
@@ -12743,5 +12760,7 @@
   enterOnePairRingShift(q, p, ecart, isFromQ, strat, atR, ecartq, qisFromQ, shiftcount, ifromS); // "spoly"
 }
-
+#endif
+
+#ifdef HAVE_SHIFTBBA
 // creates if possible (q,p), (shifts(q),p)
 static void enterOnePairWithShifts (int q_inS /*also i*/, poly q, poly p, int ecartp, int p_isFromQ, kStrategy strat, int atR, int p_lastVblock, int q_lastVblock)
@@ -12831,5 +12850,4 @@
 #endif
 
-#ifdef HAVE_SHIFTBBA
 
 #ifdef KDEBUG
@@ -12840,4 +12858,5 @@
 * put the pair (q,p)  into the set B, ecart=ecart(p), q is the shift of some s[i]
 */
+#ifdef HAVE_SHIFTBBA
 void enterOnePairShift (poly q, poly p, int ecart, int isFromQ, kStrategy strat, int atR, int ecartq, int qisFromQ, int shiftcount, int ifromS)
 {
@@ -12950,5 +12969,6 @@
             pLmFree(Lp.lcm);
 #ifdef CRITERION_DEBUG
-            if (TEST_OPT_DEBUG) {
+            if (TEST_OPT_DEBUG)
+	    {
               Print("--- chain crit using B[%d].lcm=%s\n", j, pString(strat->B[j].lcm));
             }
@@ -12963,5 +12983,6 @@
         {
 #ifdef CRITERION_DEBUG
-          if (TEST_OPT_DEBUG) {
+          if (TEST_OPT_DEBUG)
+	  {
             Print("--- chain crit using pair to remove B[%d].lcm=%s\n", j, pString(strat->B[j].lcm));
           }
@@ -13027,5 +13048,6 @@
             pLmFree(Lp.lcm);
 #ifdef CRITERION_DEBUG
-            if (TEST_OPT_DEBUG) {
+            if (TEST_OPT_DEBUG)
+	    {
               Print("--- chain crit using B[%d].lcm=%s\n", j, pString(strat->B[j].lcm));
             }
@@ -13039,5 +13061,6 @@
         {
 #ifdef CRITERION_DEBUG
-          if (TEST_OPT_DEBUG) {
+          if (TEST_OPT_DEBUG)
+	  {
             Print("--- chain crit using pair to remove B[%d].lcm=%s\n", j, pString(strat->B[j].lcm));
           }
@@ -13169,4 +13192,5 @@
   }
 }
+#endif
 
 /*3
@@ -13175,4 +13199,5 @@
 * additionally we put the pairs (h, s \sdot h) for s>=1 to L
 */
+#ifdef HAVE_SHIFTBBA
 void initenterpairsShift (poly h,int k,int ecart,int isFromQ, kStrategy strat, int atR)
 {
@@ -13237,5 +13262,6 @@
       {
         // pairs (shifts(s[1..k]),h), (s[1..k],h)
-        for (j=0; j<=k; j++) {
+        for (j=0; j<=k; j++)
+	{
           if (!strat->fromQ[j])
           {
@@ -13281,5 +13307,6 @@
         new_pair=TRUE;
         // pairs (shifts(s[1..k]),h), (s[1..k],h)
-        for (j=0; j<=k; j++) {
+        for (j=0; j<=k; j++)
+	{
           poly s = strat->S[j];
           enterOnePairWithShifts(j, s, h, ecart, isFromQ, strat, atR, h_lastVblock, pmLastVblock(s));
@@ -13355,5 +13382,6 @@
       {
         // pairs (shifts(s[1..k]),h), (s[1..k],h)
-        for (j=0; j<=k; j++) {
+        for (j=0; j<=k; j++)
+	{
           if ((pGetComp(h)==pGetComp(strat->S[j]))
               || (pGetComp(strat->S[j])==0))
@@ -13417,4 +13445,5 @@
   }
 }
+#endif
 
 /*3
@@ -13423,4 +13452,5 @@
 * additionally we put the pairs (h, s \sdot h) for s>=1 to L
 */
+#ifdef HAVE_SHIFTBBA
 void initenterstrongPairsShift (poly h,int k,int ecart,int isFromQ, kStrategy strat, int atR)
 {
@@ -13485,5 +13515,6 @@
       {
         // pairs (shifts(s[1..k]),h), (s[1..k],h)
-        for (j=0; j<=k; j++) {
+        for (j=0; j<=k; j++)
+	{
           if (!strat->fromQ[j])
           {
@@ -13514,5 +13545,6 @@
         new_pair=TRUE;
         // pairs (shifts(s[1..k]),h), (s[1..k],h)
-        for (j=0; j<=k; j++) {
+        for (j=0; j<=k; j++)
+	{
           poly s = strat->S[j];
           // TODO: cache lastVblock of s[1..k] for later use
@@ -13560,5 +13592,6 @@
       {
         // pairs (shifts(s[1..k]),h), (s[1..k],h)
-        for (j=0; j<=k; j++) {
+        for (j=0; j<=k; j++)
+	{
           if ((pGetComp(h)==pGetComp(strat->S[j]))
               || (pGetComp(strat->S[j])==0))
@@ -13593,4 +13626,5 @@
   }
 }
+#endif
 
 /*2
@@ -13598,4 +13632,5 @@
 *superfluous elements in S will be deleted
 */
+#ifdef HAVE_SHIFTBBA
 void enterpairsShift (poly h,int k,int ecart,int pos,kStrategy strat, int atR)
 {
@@ -13621,4 +13656,5 @@
   }
 }
+#endif
 
 /*2
@@ -13626,4 +13662,5 @@
 * assumes that p is already in T!
 */
+#ifdef HAVE_SHIFTBBA
 void enterTShift(LObject p, kStrategy strat, int atT)
 {
